moeoElitistReplacement::Cmp(3)

NAME
moeoElitistReplacement::Cmp - this object is used to compare solutions in order to sort the population

SYNOPSIS

#include <moeoElitistReplacement.h>

  Public Member Functions
Cmp (moeoComparator< MOEOT > &_comp)
Ctor.
bool operator() (const MOEOT &_moeo1, const MOEOT &_moeo2)
Returns true if _moeo1 is greater than _moeo2 according to the comparator _moeo1 the first individual _moeo2 the first individual.

  Private Attributes
moeoComparator< MOEOT > & comp
the comparator

Detailed Description

  template<class MOEOT> class moeoElitistReplacement< MOEOT >::Cmp
this object is used to compare solutions in order to sort the population

Definition at line 105 of file moeoElitistReplacement.h.

Constructor & Destructor Documentation

  template<class MOEOT> moeoElitistReplacement< MOEOT >::Cmp::Cmp (moeoComparator< MOEOT > & _comp) [inline]

Ctor.

Parameters:
    _comp the comparator

Definition at line 112 of file moeoElitistReplacement.h.

Author

Generated automatically by Doxygen for ParadisEO-MOEO from the source code.